#version 430
//adapted from https://learnopengl.com/In-Practice/Text-Rendering

layout(location = 0) out vec4 frag_color;
layout(location = 1) uniform vec3 color;
layout(location = 3) uniform float opacity;
layout(location = 4) uniform float ambientPower;

layout(location = 20) uniform float ka;
layout(location = 21) uniform float kd;
layout(location = 22) uniform float ks;
layout(location = 23) uniform int alpha;

in vec2 texture_uv;

layout(location = 110) uniform sampler2D texture_diffuse;
layout(location = 119) uniform bool has_environment;

void main()
{    
    vec4 sampled = vec4(1.0, 1.0, 1.0, texture(texture_diffuse, texture_uv).r);
    frag_color = vec4(color, 1.0) * sampled;
}  