#version 430
//adapted from https://learnopengl.com/In-Practice/Text-Rendering
layout (location = 0) in vec3 position;
layout (location = 1) uniform vec3 color;
layout (location = 2) in vec3 normal;
layout (location = 3) in vec2 texture_uv_in;
layout (location = 5) uniform mat4 vp;
layout (location = 15) uniform mat4 model;

out vec2 texture_uv;

void main()
{
    gl_Position = vp * model * vec4(position.xy, 0.0, 1.0);
    texture_uv = texture_uv_in;
}  