#version 430

layout(location = 0) out vec4 frag_color;
layout(location = 110) uniform sampler2D texture_diffuse;
layout(location = 119) uniform bool has_environment;
layout(location = 1) uniform vec3 color;
layout(location = 3) uniform float opacity;

in vec2 texture_uv;

void main()
{
    frag_color = texture2D(texture_diffuse, texture_uv)*vec4(color,opacity);

    if (frag_color.r < 0.2 && frag_color.g < 0.2 && frag_color.b < 0.2) {
        discard;
    }

    frag_color = frag_color * 2;
} 